/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk;

public class DidConfig {

    public final static String apiPrefix = "/api/v1/did-mgr";

    public final static String apiDidPrefix = "/api/v1/did";
    public final static String login = apiPrefix + "/login";

    public final static String health = apiPrefix + "/health";

    public final static String msgEncrypt = apiPrefix + "/msg/encrypt";

    public final static String msgDecrypt = apiPrefix + "/msg/decrypt";

    public final static String msgVerify = apiPrefix + "/msg/verify";


    public final static String msgSign = apiPrefix + "/msg/sign";


    public final static String vpVerify = apiPrefix + "/vp/verify";

    public final static String vpSign = apiPrefix + "/vp/sign";

    public final static String documentGet = apiPrefix + "/document/get";

    public final static String vcIssue = apiPrefix + "/vc/issue";

    public final static String vcRevoke = apiPrefix + "/vc/revoke";

    public final static String vcIssuedList = apiPrefix + "/vc/list/issued";

    public final static String vcRevokedList = apiPrefix + "/vc/list/revoked";

    public final static String vcList = apiPrefix + "/vc/list";

    public final static String vcGet = apiPrefix + "/vc/get";

    public final static String vcListLatest = apiPrefix + "/vc/list/latest";

    public final static String vcListLocal = apiPrefix + "/vc/list/local";

    public final static String vctemplateCreate = apiPrefix + "/vctemplate/create";

    public final static String vctemplateList = apiPrefix + "/vctemplate/list";

    public final static String findDidByCompanyName = apiDidPrefix + "/vc/find-did-by-company-name";

    public final static String findCompanyNameByDid = apiDidPrefix + "/vc/find-company-name-by-did";


}
