/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model;

/**
 * 分页
 */
public class Page {

    /**
     * 页数
     */
    private int page;

    /**
     * 每页数据的条数
     */
    private int size;

    /**
     * 总条数
     */
    private int total;

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public Page() {
        this.page = 1;
        this.size = 20;
    }

    public Page(int page, int size) {
        this.page = page;
        this.size = size;
    }

    @Override
    public String toString() {
        return "Page{" +
                "page='" + page + '\'' +
                ", size='" + size + '\'' +
                ", total='" + total + '\'' +
                '}';
    }
}
