/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model;

/**
 * 服务
 */
public class Service {

    /**
     * 服务唯一id
     */
    private String id;

    /**
     * 服务地址
     */
    private String serviceEndpoint;

    /**
     * 服务类型
     */
    private String type;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getServiceEndpoint() {
        return serviceEndpoint;
    }

    public void setServiceEndpoint(String serviceEndpoint) {
        this.serviceEndpoint = serviceEndpoint;
    }

    public Service() {}

    @Override
    public String toString() {
        return "Service{" +
                "id='" + id + '\'' +
                ", serviceEndpoint='" + serviceEndpoint + '\'' +
                ", type='" + type + '\'' +
                '}';
    }
}
