package org.chainweaver.did.sdk.model.req;

import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.UUID;

public class ApplyBusinessLicenseExtend {

    public String authorizedName;

    public String authorizedNameEn;

    public String callbackUrl;

    public List<String> issuer;

    public String method;

    public String requestId;

    public List<String> vctId;



    public List<String> getVctId() {
        return vctId;
    }

    public void setVctId(List<String> vctId) {
        this.vctId = vctId;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public List<String> getIssuer() {
        return issuer;
    }

    public void setIssuer(List<String> issuer) {
        this.issuer = issuer;
    }

    public String getCallbackUrl() {
        return callbackUrl;
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getAuthorizedName() {
        return authorizedName;
    }

    public void setAuthorizedName(String authorizedName) {
        this.authorizedName = authorizedName;
    }

    public String getAuthorizedNameEn() {
        return authorizedNameEn;
    }

    public void setAuthorizedNameEn(String authorizedNameEn) {
        this.authorizedNameEn = authorizedNameEn;
    }

    public ApplyBusinessLicenseExtend() {}

    public ApplyBusinessLicenseExtend(List<String> issuer, String callbackUrl) {
        this.vctId = new ArrayList<>(Collections.singleton("000002"));
        this.requestId = UUID.randomUUID().toString().replace("-", "");
        this.issuer = issuer;
        this.callbackUrl = callbackUrl;
    }
}
