/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model.req;

public class Property {


    private String type;

    private String title;

    private String pattern;

    private String desc;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPattern() {
        return pattern;
    }

    public void setPattern(String pattern) {
        this.pattern = pattern;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Property() {}

    public Property(String type, String title, String pattern, String desc) {
        this.type = type;
        this.title = title;
        this.pattern = pattern;
        this.desc = desc;
    }

    @Override
    public String toString() {
        return "Property{" +
                "type='" + type + '\'' +
                ", title='" + title + '\'' +
                ", pattern='" + pattern + '\'' +
                ", desc='" + desc + '\'' +
                '}';
    }
}
