package org.chainweaver.did.sdk.model.req;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class VCTExtend {

    private Boolean additionalProperties;

    private String name;

    private List<String> required;

    private Map<String, Property> properties = new HashMap<>();

    private String vcType = "IdentityCredential";

    private String verificationMethod;

    private String versions;


    public String getVcType() {
        return vcType;
    }

    public void setVcType(String vcType) {
        this.vcType = vcType;
    }

    public Map<String, Property> getProperties() {
        return properties;
    }

    public void setProperties(Map<String, Property> properties) {
        this.properties = properties;
    }

    public List<String> getRequired() {
        return required;
    }

    public void setRequired(List<String> required) {
        this.required = required;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersions() {
        return versions;
    }

    public void setVersions(String versions) {
        this.versions = versions;
    }

    public Boolean getAdditionalProperties() {
        return additionalProperties;
    }

    public void setAdditionalProperties(Boolean additionalProperties) {
        this.additionalProperties = additionalProperties;
    }

    public String getVerificationMethod() {
        return verificationMethod;
    }

    public void setVerificationMethod(String verificationMethod) {
        this.verificationMethod = verificationMethod;
    }

    public VCTExtend() {
    }

    public VCTExtend(Map<String, Property> properties, List<String> required, String name, String versions, Boolean additionalProperties, String verificationMethod) {
        this.properties = properties;
        this.required = required;
        this.name = name;
        this.versions = versions;
        this.additionalProperties = additionalProperties;
        this.verificationMethod = verificationMethod;
    }
}
