/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model.req;

import org.chainweaver.did.sdk.model.Page;

public class VcListVo {

    /**
     * vcId
     */
    private String id;


    /**
     * 持证人
     */
    private String issuer;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }


    private Page page;

    public String getIssuer() {
        return issuer;
    }

    public void setIssuer(String issuer) {
        this.issuer = issuer;
    }


    public Page getPage() {
        return page;
    }

    public void setPage(Page page) {
        this.page = page;
    }

    public VcListVo() {}


    /**
     * 本地查询拥有VC入参
     * @param page 页数
     * @param size 条数
     * @param issuer 发证人
     * @param id id
     */
    public VcListVo(Integer page, Integer size, String id, String issuer) {
        this.page = new Page(1, 20);
        this.id = id;
        this.issuer = issuer;
    }
}
