/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model.resp;

import org.chainweaver.did.sdk.model.Page;

import java.util.List;

public class RespPage<T> {

    private Page page;

    private List<T> list;

    public Page getPage() {
        return page;
    }

    public void setPage(Page page) {
        this.page = page;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    @Override
    public String toString() {
        return "Resp{" +
                "page=" + page +
                ", list=" + list +
                '}';
    }

    public RespPage() {
    }

}
