/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model.resp;

import org.chainweaver.did.sdk.model.VerifiableCredential;

public class VcInfo {

    private String status;

    private VerifiableCredential vc;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public VerifiableCredential getVc() {
        return vc;
    }

    public void setVc(VerifiableCredential vc) {
        this.vc = vc;
    }

    public VcInfo() {}

    @Override
    public String toString() {
        return "VcInfo{" +
                "status='" + status + '\'' +
                ", vc=" + vc +
                '}';
    }
}
