/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model;

public class Cipher extends Plaintext {

    private String ciphertext;

    public String getCiphertext() {
        return ciphertext;
    }

    public void setCiphertext(String ciphertext) {
        this.ciphertext = ciphertext;
    }

    @Override
    public String toString() {
        return "Cipher{" +
                "ciphertext='" + ciphertext + '\'' +
                '}';
    }

    public Cipher() {}


    /**
     * 私钥芥末
     * @param ciphertext 密文值
     */
    public Cipher(String ciphertext) {
        this.ciphertext = ciphertext;
    }
}
