/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model;

public class CredentialSubject {

    private String certificateName;

    private String name;

    private String code;

    public CredentialSubject() {
    }

    public String getCertificateName() {
        return certificateName;
    }

    public void setCertificateName(String certificateName) {
        this.certificateName = certificateName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public CredentialSubject(String certificateName, String name, String code) {
        this.certificateName = certificateName;
        this.name = name;
        this.code = code;
    }



    @Override
    public String toString() {
        return "CredentialSubject{" +
                "certificateName='" + certificateName + '\'' +
                ", name='" + name + '\'' +
                ", code='" + code + '\'' +
                '}';
    }
}
