/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model.req;

import org.chainweaver.did.sdk.model.Page;

/**
 * 持有人
 */
public class Holder {

    /**
     * 持有人
     */
    private String holder;

    private Page page;

    public String getHolder() {
        return holder;
    }

    public void setHolder(String holder) {
        this.holder = holder;
    }

    public Page getPage() {
        return page;
    }

    public void setPage(Page page) {
        this.page = page;
    }

    public Holder() {}


    public Holder(String holder) {
        this.page = new Page();
        this.holder = holder;
    }

    /**
     *
     * @param holder 持证人
     * @param page 页数
     * @param size 条数
     */
    public Holder(String holder, Integer page, Integer size) {
        this.page = new Page(page, size);
        this.holder = holder;
    }


}
