/*
Copyright (C) BABEC. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/
package org.chainweaver.did.sdk.model.req;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.gson.annotations.SerializedName;
import org.chainweaver.did.sdk.model.Page;

public class VcTemplateListVo{

    @SerializedName("id")
    @JsonProperty("id")
    private String Id;

    private String name;

    private String version;

    private Page page;

    public String getId() {
        return Id;
    }

    public void setId(String id) {
        Id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public VcTemplateListVo() {
    }



    /**
     *
     * @param page 页数
     * @param size 条数
     * @param id vc id
     * @param name 名称
     * @param version 版本号
     */
    public VcTemplateListVo(Integer page, Integer size, String id, String name, String version) {
        this.page = new Page(page, size);
        Id = id;
        this.name = name;
        this.version = version;
    }
}
